%define name gmpc-plugins
%define version 11.8.16

Summary: Gmpc plugins
Summary(de): GMPC Plugins
Name: 	 %name
Version: %version
Release: %mkrel 3
License: GPL
Group: 	Sound
URL: 	http://download.sarine.nl/
Source: http://download.sarine.nl/Programs/gmpc/0.20.0/%name-%version.tar.xz
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: %{_lib}glade2.0_0-devel 
BuildRequires: gnome-vfs2-devel
BuildRequires: perl-XML-Parser libcurl-devel
BuildRequires: %{_lib}mpd-devel >= 0.20.0 
BuildRequires: gmpc-devel >= 0.20.0
BuildRequires: %{_lib}xosd2-devel
BuildRequires: lirc-devel
BuildRequires: taglib-devel
BuildRequires: %{_lib}webkitgtk-devel
BuildRequires: gob2
Requires: gmpc
Obsoletes:  %name < %version


%description
%name-plugins for Gmpc 

Gmpc Plugins lists :
* gmpc-alarm
* gmpc-albumview
* gmpc-avahi
* gmpc-awn
* gmpc-discogs
* gmpc-extraplaylist
* gmpc-fullscreeninfo
* gmpc-jamendo
* gmpc-last.fm
* gmpc-lirc
* gmpc-lyrics
* gmpc-lyricwiki
* gmpc-magnatune
* gmpc-mdcover
* gmpc-mserver
* gmpc-playlistsort
* gmpc-shout
* gmpc-tagedit
* gmpc-wikipedia


#german
%description -l de
%name-Plugins für GMPC
Enthaltene Plugins sind:
* gmpc-alarm
* gmpc-albumview
* gmpc-avahi
* gmpc-awn
* gmpc-discogs
* gmpc-extraplaylist
* gmpc-fullscreeninfo
* gmpc-jamendo
* gmpc-last.fm
* gmpc-lirc
* gmpc-lyrics
* gmpc-lyricwiki
* gmpc-magnatune
* gmpc-mdcover
* gmpc-mserver
* gmpc-playlistsort
* gmpc-shout
* gmpc-tagedit
* gmpc-wikipedia


%prep

%setup -q

%build
%configure2_5x --disable-mserver

%make 

%install
rm -rf %buildroot
%makeinstall_std 

rm -f %{buildroot}/usr/lib/gmpc/plugins/awnplugin.la
mv %{buildroot}/usr/lib/gmpc/plugins/awnplugin.so \
%{buildroot}%{_libdir}/gmpc/plugins/awnplugin.so

%clean
rm -rf %buildroot


%files 
%defattr(-,root,root)
%doc COPYING
%{_libdir}/gmpc/plugins/*
%{_datadir}/gmpc/plugins/*
%{_datadir}/gmpc-albumview/
%{_datadir}/locale/*/LC_MESSAGES/*.mo

   
%changelog
* Tue Apr 23 2019 tex - 11.8.16-3pclos2019
- rebuild against updates

